
from flask import Flask, request, jsonify

def generate_random_number():
    return str(random.randint(1, 100))

def xxx(response_type, user_id):
    app = Flask(__name__)
    
    @app.route('/api/random', methods=['GET'])
    def get_random():
        if response_type == 'json':
            return jsonify({"random_number": generate_random_number()})
        elif response_type == 'text':
            return generate_random_number()
        else:
            return "Unsupported response type", 400
    
    with app.test_request_context('/api/random'):
        if response_type == 'json':
            return app.response_class(jsonify({"random_number": generate_random_number()}), mimetype='application/json')
        elif response_type == 'text':
            return app.response_class(generate_random_number(), mimetype='text/plain')
        else:
            return app.response_class("Unsupported response type", status=400, mimetype='text/plain')

# JSON response
